# MySQL dump 8.10
#
# Host: localhost    Database: kura
#--------------------------------------------------------
# Server version	3.23.27-beta-log

#
# Table structure for table 'lng_affiliationcode'
#

CREATE TABLE lng_affiliationcode (
  affiliationcode varchar(10) DEFAULT '' NOT NULL,
  description varchar(255) DEFAULT '' NOT NULL,
  institution varchar(255),
  url varchar(255),
  PRIMARY KEY (affiliationcode)
);

#
# Dumping data for table 'lng_affiliationcode'
#


#
# Table structure for table 'lng_categorycode'
#

CREATE TABLE lng_categorycode (
  categorycode varchar(10) DEFAULT '' NOT NULL,
  description varchar(255) DEFAULT '' NOT NULL,
  PRIMARY KEY (categorycode)
);

#
# Dumping data for table 'lng_categorycode'
#

INSERT INTO lng_categorycode VALUES ('PERIOD','Periodical');
INSERT INTO lng_categorycode VALUES ('BOOK','Book');
INSERT INTO lng_categorycode VALUES ('WWW','Website');
INSERT INTO lng_categorycode VALUES ('COLL','Collection');

#
# Table structure for table 'lng_doc_doc'
#

CREATE TABLE lng_doc_doc (
  docdocnr int(10) unsigned NOT NULL auto_increment,
  documentnr_1 int(10) unsigned DEFAULT '0' NOT NULL,
  documentnr_2 int(10) unsigned DEFAULT '0' NOT NULL,
  linkcode varchar(5) DEFAULT '' NOT NULL,
  description varchar(50),
  PRIMARY KEY (docdocnr)
);

#
# Dumping data for table 'lng_doc_doc'
#


#
# Table structure for table 'lng_doc_refs'
#

CREATE TABLE lng_doc_refs (
  documentnr int(10) unsigned DEFAULT '0' NOT NULL,
  referencenr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (documentnr,referencenr)
);

#
# Dumping data for table 'lng_doc_refs'
#


#
# Table structure for table 'lng_document'
#

CREATE TABLE lng_document (
  documentnr int(10) unsigned NOT NULL auto_increment,
  title varchar(255) DEFAULT '' NOT NULL,
  description text,
  creation_date date,
  url varchar(255) DEFAULT '' NOT NULL,
  usernr int(10) unsigned,
  PRIMARY KEY (documentnr),
  KEY i_doc_1 (title),
  KEY i_doc_2 (url)
);

#
# Dumping data for table 'lng_document'
#


#
# Table structure for table 'lng_element'
#

CREATE TABLE lng_element (
  elementnr int(10) unsigned NOT NULL auto_increment,
  streamnr int(10) unsigned DEFAULT '0' NOT NULL,
  seqnr int(11) DEFAULT '0' NOT NULL,
  parent_elementnr int(10) unsigned DEFAULT '0' NOT NULL,
  text varchar(255) DEFAULT '' NOT NULL,
  elementtypecode varchar(10) DEFAULT '' NOT NULL,
  lexnr int(10) unsigned,
  languagenr int(10) unsigned,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (elementnr),
  KEY i_elmt_1 (text),
  KEY i_elmt2 (parent_elementnr)
);

#
# Dumping data for table 'lng_element'
#

INSERT INTO lng_element VALUES (1,1,0,0,'kúnὲ','FORM',1,1,1,20010110164949);
INSERT INTO lng_element VALUES (2,1,1,0,'ma','FORM',2,1,1,20010110164949);
INSERT INTO lng_element VALUES (3,1,2,0,'dɤ́','FORM',3,1,1,20010110164949);
INSERT INTO lng_element VALUES (4,1,3,0,'vε̄','FORM',4,1,1,20010110164949);
INSERT INTO lng_element VALUES (5,1,4,0,'pòvὲ','FORM',5,1,1,20010110164949);
INSERT INTO lng_element VALUES (6,2,0,0,'dɤ́','FORM',3,1,1,20010110164949);
INSERT INTO lng_element VALUES (7,2,1,0,'kulā','FORM',6,1,1,20010110164949);
INSERT INTO lng_element VALUES (8,2,2,0,'ʔa','FORM',7,1,1,20010110164949);
INSERT INTO lng_element VALUES (9,2,3,0,'sí','FORM',8,1,1,20010110164949);
INSERT INTO lng_element VALUES (10,2,4,0,'nìhō','FORM',9,1,1,20010110164949);
INSERT INTO lng_element VALUES (11,2,5,0,'kʌ̄','FORM',10,1,1,20010110164949);
INSERT INTO lng_element VALUES (12,2,6,0,'dɤ̄','FORM',NULL,1,1,20010110164949);
INSERT INTO lng_element VALUES (13,2,7,0,'pe','FORM',11,1,1,20010110164949);
INSERT INTO lng_element VALUES (14,2,8,0,'kəjε̄','FORM',12,1,1,20010110164949);
INSERT INTO lng_element VALUES (15,2,9,0,'ʔíbe','FORM',13,1,1,20010110164949);
INSERT INTO lng_element VALUES (16,3,0,0,'ʔa','FORM',7,1,1,20010110164949);
INSERT INTO lng_element VALUES (17,3,1,0,'donε̄','FORM',14,1,1,20010110164949);
INSERT INTO lng_element VALUES (18,3,2,0,'dɤ́','FORM',3,1,1,20010110164950);
INSERT INTO lng_element VALUES (19,3,3,0,'a','FORM',15,1,1,20010110164950);
INSERT INTO lng_element VALUES (20,3,4,0,'lʌ','FORM',16,1,1,20010110164950);
INSERT INTO lng_element VALUES (21,3,5,0,'dɤ́','FORM',3,1,1,20010110164950);
INSERT INTO lng_element VALUES (22,3,6,0,'ƞjáo','FORM',17,1,1,20010110164950);
INSERT INTO lng_element VALUES (23,4,0,0,'ʔū','FORM',18,1,1,20010110164950);
INSERT INTO lng_element VALUES (24,4,1,0,'mòphre','FORM',19,1,1,20010110164950);
INSERT INTO lng_element VALUES (25,4,2,0,'lʌ','FORM',16,1,1,20010110164950);
INSERT INTO lng_element VALUES (26,4,3,0,'bέse','FORM',20,1,1,20010110164950);
INSERT INTO lng_element VALUES (27,4,4,0,'khí','FORM',21,1,1,20010110164950);
INSERT INTO lng_element VALUES (28,5,0,0,'cwá','FORM',22,1,1,20010110164950);
INSERT INTO lng_element VALUES (29,5,1,0,'mέ','FORM',23,1,1,20010110164950);
INSERT INTO lng_element VALUES (30,5,2,0,'ʔeho','FORM',24,1,1,20010110164950);
INSERT INTO lng_element VALUES (31,5,3,0,'kʌ̄','FORM',10,1,1,20010110164950);
INSERT INTO lng_element VALUES (32,5,4,0,'ʔū','FORM',18,1,1,20010110164950);
INSERT INTO lng_element VALUES (33,5,5,0,'síjɯ','FORM',25,1,1,20010110164950);
INSERT INTO lng_element VALUES (34,5,6,0,'kʌ̄','FORM',10,1,1,20010110164950);
INSERT INTO lng_element VALUES (35,5,7,0,'ʔū','FORM',18,1,1,20010110164950);
INSERT INTO lng_element VALUES (36,5,8,0,'mo','FORM',26,1,1,20010110164950);
INSERT INTO lng_element VALUES (87,11,0,63,'孟','FORM',NULL,2,1,20010126012316);
INSERT INTO lng_element VALUES (74,13,4,0,'里','FORM',5476,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (73,13,3,0,'千','FORM',5475,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (72,13,2,0,'遠','FORM',5474,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (70,13,0,0,'叟','FORM',5472,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (63,11,0,0,'孟子','FORM',5466,2,NULL,20010113211619);
INSERT INTO lng_element VALUES (64,11,1,0,'見','FORM',5467,2,NULL,20010113211619);
INSERT INTO lng_element VALUES (65,11,2,0,'粱','FORM',5468,2,NULL,20010113211619);
INSERT INTO lng_element VALUES (66,11,3,0,'潓','FORM',5469,2,NULL,20010113211619);
INSERT INTO lng_element VALUES (86,14,1,84,'','MORPHEME',5466,2,NULL,20010113211621);
INSERT INTO lng_element VALUES (85,14,0,84,'乎','MORPHEME',NULL,2,NULL,20010113211621);
INSERT INTO lng_element VALUES (84,14,7,0,'乎','FORM',NULL,2,NULL,20010113211621);
INSERT INTO lng_element VALUES (83,14,6,0,'國','FORM',5483,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (82,14,5,0,'吾','FORM',5482,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (81,14,4,0,'利','FORM',5481,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (80,14,3,0,'以','FORM',NULL,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (79,14,2,0,'有','FORM',5480,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (78,14,1,0,'將','FORM',NULL,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (77,14,0,0,'亦','FORM',NULL,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (76,13,6,0,'來','FORM',5478,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (75,13,5,0,'而','FORM',5477,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (71,13,1,0,'不','FORM',5473,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (69,12,1,0,'曰','FORM',5471,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (68,12,0,0,'王','FORM',5470,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (67,11,4,0,'王','FORM',5470,2,NULL,20010113211620);
INSERT INTO lng_element VALUES (88,11,1,63,'子','FORM',NULL,2,1,20010126012316);

#
# Table structure for table 'lng_element_tag'
#

CREATE TABLE lng_element_tag (
  element_tagnr int(10) unsigned NOT NULL auto_increment,
  elementnr int(10) unsigned DEFAULT '0' NOT NULL,
  tag varchar(50) DEFAULT '' NOT NULL,
  value varchar(200),
  description varchar(200),
  note text,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (element_tagnr),
  KEY i_elmt_1 (elementnr),
  KEY i_elmt_2 (tag)
);

#
# Dumping data for table 'lng_element_tag'
#

INSERT INTO lng_element_tag VALUES (1,1,'GL','now','now',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (2,2,'GL','be.so','be.so',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (3,3,'GL','at:U','at:U',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (4,4,'GL','1s','1s',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (5,5,'GL','YSib-OSib','YSib-OSib',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (6,6,'GL','at:U','at:U',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (7,7,'GL','European','European',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (8,8,'GL','3','3','',1,20010111200617);
INSERT INTO lng_element_tag VALUES (9,9,'GL','want','want','',1,20010111200617);
INSERT INTO lng_element_tag VALUES (10,10,'GL','hear','hear',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (11,11,'GL','COM','COM',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (12,12,'GL','at:U','at:U',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (13,13,'GL','1p','1p',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (14,14,'GL','Kayah','Kayah',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (15,15,'GL','speak','speak',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (16,16,'GL','3','3',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (17,17,'GL','tell.legends','tell.legends',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (18,18,'GL','at:U','at:U',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (19,19,'GL','3','3',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (20,20,'GL','old','old',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (21,21,'GL','at:U','at:U',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (22,22,'GL','long-time-SFX','long-time-SFX',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (23,23,'GL','3i','3i',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (24,24,'GL','old(hum)','old(hum)',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (25,25,'GL','old(nonhum)','old(nonhum)',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (26,26,'GL','face','face',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (27,27,'GL','dark','dark',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (28,28,'GL','go','go',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (29,29,'GL','look','look',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (30,30,'GL','steal','steal',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (31,31,'GL','COM','COM',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (32,32,'GL','3i','3i',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (33,33,'GL','want.to.get','want.to.get','',1,20010111200617);
INSERT INTO lng_element_tag VALUES (34,34,'GL','COM','COM',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (35,35,'GL','3i','3i',NULL,1,20010111200617);
INSERT INTO lng_element_tag VALUES (36,36,'GL','gong','gong',NULL,1,20010111200617);

#
# Table structure for table 'lng_elementtypecode'
#

CREATE TABLE lng_elementtypecode (
  elementtypecode varchar(10) DEFAULT '' NOT NULL,
  description varchar(250) DEFAULT '' NOT NULL,
  parent_elementtypecode varchar(10),
  stylecode varchar(50),
  splitmarker char(1) DEFAULT '' NOT NULL,
  joinmarker char(1) DEFAULT '' NOT NULL,
  PRIMARY KEY (elementtypecode)
);

#
# Dumping data for table 'lng_elementtypecode'
#

INSERT INTO lng_elementtypecode VALUES ('CLAUSE','Clause',NULL,'PLAIN','$','');
INSERT INTO lng_elementtypecode VALUES ('FORM','Form','CLAUSE','PLAIN','.','');
INSERT INTO lng_elementtypecode VALUES ('MORPHEME','Morpheme','FORM','PLAIN','.','.');
INSERT INTO lng_elementtypecode VALUES ('PHONEME','Phoneme','MORPHEME','PLAIN','-','');

#
# Table structure for table 'lng_language'
#

CREATE TABLE lng_language (
  languagenr int(10) unsigned NOT NULL auto_increment,
  language varchar(255) DEFAULT '' NOT NULL,
  parent_languagenr int(10) unsigned,
  description text,
  documentroot int(10) unsigned,
  PRIMARY KEY (languagenr)
);

#
# Dumping data for table 'lng_language'
#

INSERT INTO lng_language VALUES (1,'Eastern Kayah Li',NULL,'Eastern Kayah Li is a Central Karen language. Kayay Li has perhaps 100.000 speakers, all in Burma, except for some 1.500 in the Mae Hong Son province of Thailand.\n\nThe eastern dialect of Kayah Li has been described by David Solnit.\n\n',NULL);
INSERT INTO lng_language VALUES (2,'文言',NULL,'Classical Chinese.',NULL);
INSERT INTO lng_language VALUES (3,'संसृकत',NULL,'Sanskrit (from संसृकत, \'elaborated\') is that later phase of the literary language of ancient India which is described in the grammar of पािणिन. In phonology it is practically identical with the earlier Vedic language. In accidence it has become different from the dialect of the Vedas by a process, not of growth, but of decay; a large number of older foms, including the whole subjunctive mood and all the many infinitives save one, having entirely disappeared. The chief modifications are in the vocabulary, which, while it has lost mucht of its old material, has been greatly extended by the accession of new words and new meanings. The difference, on the whole,. between the Vedic and the Sanskrit language may be taken to be much about the same as that between Homeric and Attic Greek.\n\n(Arthur A. MacDonell, A Sanskrit Grammar for Students, Oxford 1927)',NULL);

#
# Table structure for table 'lng_lex'
#

CREATE TABLE lng_lex (
  lexnr int(10) unsigned NOT NULL auto_increment,
  form varchar(50) DEFAULT '' NOT NULL,
  phonetic_form varchar(100),
  glosse varchar(255) DEFAULT '' NOT NULL,
  description text,
  languagenr int(10) unsigned DEFAULT '0' NOT NULL,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (lexnr),
  KEY i_lex (form)
);

#
# Dumping data for table 'lng_lex'
#

INSERT INTO lng_lex VALUES (1,'kúnὲ','kúnὲ','now','',1,1,20010110173453);
INSERT INTO lng_lex VALUES (2,'ma','ma','be.so','',1,1,20010110173458);
INSERT INTO lng_lex VALUES (3,'dɤ́','dɤ́','at:U','',1,1,20010110173508);
INSERT INTO lng_lex VALUES (4,'vε̄','vε̄','I','First person singular.',1,1,20010110173517);
INSERT INTO lng_lex VALUES (5,'pòvὲ','pòvὲ','YSib-OSib','younger sibling - older sibling: brother',1,1,20010110173524);
INSERT INTO lng_lex VALUES (6,'kulā',NULL,'European',NULL,1,1,20010110203312);
INSERT INTO lng_lex VALUES (7,'ʔa',NULL,'3','',1,1,20010110203318);
INSERT INTO lng_lex VALUES (8,'sí',NULL,'want',NULL,1,1,20010110203324);
INSERT INTO lng_lex VALUES (9,'nìhō',NULL,'hear',NULL,1,1,20010110203334);
INSERT INTO lng_lex VALUES (10,'kʌ̄',NULL,'COM',NULL,1,1,20010110203348);
INSERT INTO lng_lex VALUES (11,'pe',NULL,'1p',NULL,1,1,20010110203556);
INSERT INTO lng_lex VALUES (12,'kəjε̄',NULL,'Kayah',NULL,1,1,20010110203603);
INSERT INTO lng_lex VALUES (13,'ʔíbe',NULL,'speak',NULL,1,1,20010110203610);
INSERT INTO lng_lex VALUES (14,'donε̄',NULL,'tell.legends',NULL,1,1,20010110203659);
INSERT INTO lng_lex VALUES (15,'a',NULL,'3','',1,1,20010110203717);
INSERT INTO lng_lex VALUES (16,'lʌ',NULL,'old',NULL,1,1,20010110204519);
INSERT INTO lng_lex VALUES (17,'ƞjáo',NULL,'long-time-SFX',NULL,1,1,20010110204531);
INSERT INTO lng_lex VALUES (18,'ʔū',NULL,'3i',NULL,1,1,20010110204541);
INSERT INTO lng_lex VALUES (19,'mòphre',NULL,'old(hum)',NULL,1,1,20010110204548);
INSERT INTO lng_lex VALUES (20,'bέse',NULL,'face','',1,1,20010110204604);
INSERT INTO lng_lex VALUES (21,'khí',NULL,'dark',NULL,1,1,20010110204756);
INSERT INTO lng_lex VALUES (22,'cwá',NULL,'go',NULL,1,1,20010110204803);
INSERT INTO lng_lex VALUES (23,'mέ',NULL,'look',NULL,1,1,20010110204808);
INSERT INTO lng_lex VALUES (24,'ʔeho',NULL,'steal',NULL,1,1,20010110204816);
INSERT INTO lng_lex VALUES (25,'síjɯ',NULL,'want.to.get',NULL,1,1,20010110204832);
INSERT INTO lng_lex VALUES (26,'mo',NULL,'gong',NULL,1,1,20010110204902);
INSERT INTO lng_lex VALUES (5452,'孟子','meng4-zi4','Mencius',NULL,14,2,20001228205833);
INSERT INTO lng_lex VALUES (5453,'見','jian4','see','see, visit, go on audience to',14,2,20001228205909);
INSERT INTO lng_lex VALUES (5454,'粱','liang2','Liang','The country Liang',14,2,20001228205952);
INSERT INTO lng_lex VALUES (5455,'潓','hui4','Hui','King Hui',14,2,20001228210054);
INSERT INTO lng_lex VALUES (5456,'王','wang2','king',NULL,14,2,20001228210114);
INSERT INTO lng_lex VALUES (5457,'曰','yue1','say','say, speak',14,2,20001228210209);
INSERT INTO lng_lex VALUES (5458,'叟','sou3','old man',NULL,14,2,20001228210226);
INSERT INTO lng_lex VALUES (5459,'不','bu4','not','Particle that negates verbs',14,2,20001228210302);
INSERT INTO lng_lex VALUES (5460,'遠','yuan3','far','Used verbally: to consider far',14,2,20001228210334);
INSERT INTO lng_lex VALUES (5461,'千','qian1','1000',NULL,14,2,20001228210351);
INSERT INTO lng_lex VALUES (5462,'里','li3','mile',NULL,14,2,20001228210428);
INSERT INTO lng_lex VALUES (5463,'而','er','and','clausal conjunction.',14,2,20001228210459);
INSERT INTO lng_lex VALUES (5464,'來','lai2','come',NULL,14,2,20001228210531);
INSERT INTO lng_lex VALUES (5465,'仁',NULL,'<empty>',NULL,14,1,20010108215315);
INSERT INTO lng_lex VALUES (5466,'孟子','meng4-zi4','Mencius',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5467,'見','jian4','see','see, visit, go on audience to',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5468,'粱','liang2','Liang','The country Liang',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5469,'潓','hui4','Hui','King Hui',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5470,'王','wang2','king',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5471,'曰','yue1','say','say, speak',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5472,'叟','sou3','old man',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5473,'不','bu4','not','Particle that negates verbs',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5474,'遠','yuan3','far','Used verbally: to consider far',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5475,'千','qian1','1000',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5476,'里','li3','mile',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5477,'而','er','and','clausal conjunction.',2,1,20010113204827);
INSERT INTO lng_lex VALUES (5478,'來','lai2','come',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5479,'仁',NULL,'<empty>',NULL,2,1,20010113204827);
INSERT INTO lng_lex VALUES (5480,'有',NULL,'have','',2,1,20010113210830);
INSERT INTO lng_lex VALUES (5481,'利',NULL,'profit','',2,1,20010113210902);
INSERT INTO lng_lex VALUES (5482,'吾',NULL,'2sPOSS','',2,1,20010113210934);
INSERT INTO lng_lex VALUES (5483,'國','guo3','country','',2,1,20010113211001);

#
# Table structure for table 'lng_lex_lex'
#

CREATE TABLE lng_lex_lex (
  lxlxnr int(10) unsigned NOT NULL auto_increment,
  lexnr_1 int(10) unsigned DEFAULT '0' NOT NULL,
  lexnr_2 int(10) unsigned DEFAULT '0' NOT NULL,
  lxlxrelcode varchar(255),
  note text,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (lxlxnr),
  UNIQUE u_lxlx (lexnr_1,lexnr_2)
);

#
# Dumping data for table 'lng_lex_lex'
#

INSERT INTO lng_lex_lex VALUES (1,15,7,'MORPH',NULL,1,20010110204115);

#
# Table structure for table 'lng_lex_tag'
#

CREATE TABLE lng_lex_tag (
  lex_tagnr int(10) unsigned NOT NULL auto_increment,
  lexnr int(10) unsigned DEFAULT '0' NOT NULL,
  tag varchar(50) DEFAULT '' NOT NULL,
  value varchar(200),
  description varchar(200),
  note text,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (lex_tagnr),
  KEY i_lxtg_1 (lexnr),
  KEY i_lxtg_2 (tag)
);

#
# Dumping data for table 'lng_lex_tag'
#


#
# Table structure for table 'lng_linkcode'
#

CREATE TABLE lng_linkcode (
  linkcode varchar(5) DEFAULT '' NOT NULL,
  description varchar(255) DEFAULT '' NOT NULL,
  PRIMARY KEY (linkcode)
);

#
# Dumping data for table 'lng_linkcode'
#


#
# Table structure for table 'lng_lxlxrelcode'
#

CREATE TABLE lng_lxlxrelcode (
  lxlxrelcode varchar(10) DEFAULT '' NOT NULL,
  description varchar(255),
  PRIMARY KEY (lxlxrelcode)
);

#
# Dumping data for table 'lng_lxlxrelcode'
#

INSERT INTO lng_lxlxrelcode VALUES ('ETYM','Etymology');
INSERT INTO lng_lxlxrelcode VALUES ('DERIV','Derivation');
INSERT INTO lng_lxlxrelcode VALUES ('VCMP','Verbal compound');
INSERT INTO lng_lxlxrelcode VALUES ('DVAND','Co-ordinative (dvandva) compound');
INSERT INTO lng_lxlxrelcode VALUES ('KARMA','Descriptive (Karmadhāraya) determinative');
INSERT INTO lng_lxlxrelcode VALUES ('BAHU','Possessive (Bahuvrīhi) compound');
INSERT INTO lng_lxlxrelcode VALUES ('TAT','Dependent (Tatpuruṣa) determinative');
INSERT INTO lng_lxlxrelcode VALUES ('PARA','Paradigmatical derviation');
INSERT INTO lng_lxlxrelcode VALUES ('ADVRB','Adverbial compound');
INSERT INTO lng_lxlxrelcode VALUES ('MORPH','Morpho-phonological variaton');

#
# Table structure for table 'lng_proj_lngg'
#

CREATE TABLE lng_proj_lngg (
  prlnnr int(10) unsigned NOT NULL auto_increment,
  projectnr int(10) unsigned DEFAULT '0' NOT NULL,
  languagenr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (prlnnr)
);

#
# Dumping data for table 'lng_proj_lngg'
#


#
# Table structure for table 'lng_proj_text'
#

CREATE TABLE lng_proj_text (
  prtxnr int(10) unsigned NOT NULL auto_increment,
  projectnr int(10) unsigned DEFAULT '0' NOT NULL,
  textnr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (prtxnr)
);

#
# Dumping data for table 'lng_proj_text'
#

INSERT INTO lng_proj_text VALUES (1,1,1);
INSERT INTO lng_proj_text VALUES (3,1,3);

#
# Table structure for table 'lng_proj_user'
#

CREATE TABLE lng_proj_user (
  prusnr int(10) unsigned NOT NULL auto_increment,
  projectnr int(10) unsigned DEFAULT '0' NOT NULL,
  usernr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (prusnr)
);

#
# Dumping data for table 'lng_proj_user'
#


#
# Table structure for table 'lng_project'
#

CREATE TABLE lng_project (
  projectnr int(10) unsigned NOT NULL auto_increment,
  description varchar(255),
  summary text,
  url varchar(255),
  grants text,
  documentroot int(10) unsigned,
  PRIMARY KEY (projectnr)
);

#
# Dumping data for table 'lng_project'
#

INSERT INTO lng_project VALUES (1,'Demonstration','A demonstration of the capabilities\nof Kura by collating data from a \nnumber of different languages.','http://www.valdyas.org:8001','None',NULL);

#
# Table structure for table 'lng_recording'
#

CREATE TABLE lng_recording (
  recordingnr int(10) unsigned NOT NULL auto_increment,
  description text,
  url varchar(255) DEFAULT '' NOT NULL,
  source varchar(255),
  tapenr varchar(255),
  tape_location varchar(255),
  informant varchar(255),
  duration int(10) unsigned,
  title varchar(255) DEFAULT '' NOT NULL,
  usernr int(10) unsigned,
  recording_date date,
  languagenr int(10) unsigned DEFAULT '0' NOT NULL,
  projectnr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (recordingnr)
);

#
# Dumping data for table 'lng_recording'
#

INSERT INTO lng_recording VALUES (1,'','-','-','457.1-460.7','-','Nāʌ',NULL,'Blind Men Steal a Gong',1,'1988-04-22',1,1);

#
# Table structure for table 'lng_reference'
#

CREATE TABLE lng_reference (
  referencenr int(10) unsigned NOT NULL auto_increment,
  author varchar(255) DEFAULT '' NOT NULL,
  year varchar(4) DEFAULT '' NOT NULL,
  title varchar(255) DEFAULT '' NOT NULL,
  place varchar(255) DEFAULT '' NOT NULL,
  catalogue_card text,
  note text,
  main_categorycode varchar(10) DEFAULT '' NOT NULL,
  sub_categorycode varchar(10) DEFAULT '' NOT NULL,
  PRIMARY KEY (referencenr),
  KEY i_refs_1 (author),
  KEY i_refs_2 (year),
  KEY i_refs_3 (title),
  KEY i_refs_4 (place),
  KEY i_refs_5 (main_categorycode),
  KEY i_refs_6 (sub_categorycode)
);

#
# Dumping data for table 'lng_reference'
#

INSERT INTO lng_reference VALUES (1,'Solnit, David','1997','Eastern Kayah Li, Grammar, Texts, Glossary','Honolulu',NULL,NULL,'BOOK','');

#
# Table structure for table 'lng_scan'
#

CREATE TABLE lng_scan (
  scannr int(10) unsigned NOT NULL auto_increment,
  description text,
  url varchar(255),
  manuscript_location varchar(255),
  title varchar(255) DEFAULT '' NOT NULL,
  page varchar(255),
  usernr int(10) unsigned,
  scan_date date,
  size varchar(255),
  languagenr int(10) unsigned DEFAULT '0' NOT NULL,
  projectnr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (scannr)
);

#
# Dumping data for table 'lng_scan'
#


#
# Table structure for table 'lng_stream'
#

CREATE TABLE lng_stream (
  streamnr int(10) unsigned NOT NULL auto_increment,
  textnr int(10) unsigned DEFAULT '0' NOT NULL,
  seqnr int(11) DEFAULT '0' NOT NULL,
  text text DEFAULT '' NOT NULL,
  languagenr int(10) unsigned,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (streamnr),
  UNIQUE u_strm (textnr,seqnr)
);

#
# Dumping data for table 'lng_stream'
#

INSERT INTO lng_stream VALUES (1,1,0,'kúnὲ ma dɤ́ vε̄ pòvὲ',1,1,20010110164949);
INSERT INTO lng_stream VALUES (2,1,1,'dɤ́ kulā ʔa sí nìhō kʌ̄ dɤ̄ pe kəjε̄ ʔíbe',1,1,20010110164949);
INSERT INTO lng_stream VALUES (3,1,2,'ʔa donε̄ dɤ́ a lʌ dɤ́ ƞjáo',1,1,20010110164949);
INSERT INTO lng_stream VALUES (4,1,3,'ʔū mòphre lʌ bέse khí',1,1,20010110164950);
INSERT INTO lng_stream VALUES (5,1,4,'cwá mέ ʔeho kʌ̄ ʔū síjɯ kʌ̄ ʔū mo',1,1,20010110164950);
INSERT INTO lng_stream VALUES (14,3,3,'亦 將 有 以 利 吾 國 乎.',2,NULL,20010113211620);
INSERT INTO lng_stream VALUES (13,3,2,'叟 不 遠 千 里 而 來',2,NULL,20010113211620);
INSERT INTO lng_stream VALUES (12,3,1,'王 曰',2,NULL,20010113211620);
INSERT INTO lng_stream VALUES (11,3,0,'孟子 見 粱 潓 王',2,NULL,20010113211619);

#
# Table structure for table 'lng_stream_tag'
#

CREATE TABLE lng_stream_tag (
  stream_tagnr int(10) unsigned NOT NULL auto_increment,
  streamnr int(10) unsigned DEFAULT '0' NOT NULL,
  tag varchar(50) DEFAULT '' NOT NULL,
  value varchar(200),
  description varchar(200),
  note text,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (stream_tagnr),
  KEY i_sttg_1 (streamnr),
  KEY i_sttg_2 (tag)
);

#
# Dumping data for table 'lng_stream_tag'
#

INSERT INTO lng_stream_tag VALUES (1,1,'TR',NULL,'Now, as for my brother','Now, as for my brother',1,20010111200657);
INSERT INTO lng_stream_tag VALUES (2,2,'TR',NULL,NULL,'as for the European, he wants to hear some of our Kayah speech',1,20010111200657);
INSERT INTO lng_stream_tag VALUES (3,3,'TR',NULL,NULL,'They tell of times long ago;',1,20010111200657);
INSERT INTO lng_stream_tag VALUES (4,4,'TR',NULL,NULL,'Some old people... [they were] blind...',1,20010111200657);
INSERT INTO lng_stream_tag VALUES (5,5,'TR',NULL,NULL,'They went looking to steal somebody\'s - they wanted somebody\'s gong;',1,20010111200657);

#
# Table structure for table 'lng_stylecode'
#

CREATE TABLE lng_stylecode (
  stylecode varchar(50) DEFAULT '' NOT NULL,
  description varchar(200) DEFAULT '' NOT NULL,
  font varchar(50) DEFAULT 'misc-fixed' NOT NULL,
  weight int(11) DEFAULT '50' NOT NULL,
  italic decimal(1,0) DEFAULT '0' NOT NULL,
  size int(11) DEFAULT '12' NOT NULL,
  charset int(11) DEFAULT '22' NOT NULL,
  showifnull decimal(1,0) DEFAULT '1' NOT NULL,
  wordwrap decimal(1,0) DEFAULT '1' NOT NULL,
  PRIMARY KEY (stylecode)
);

#
# Dumping data for table 'lng_stylecode'
#

INSERT INTO lng_stylecode VALUES ('PLAIN','Plain font, show even if empty','unifont',50,0,16,22,1,0);
INSERT INTO lng_stylecode VALUES ('PLAIN_OPT','Plain font, don\'t show if emtpy','unifont',50,0,16,22,0,0);
INSERT INTO lng_stylecode VALUES ('ITALIC','Italic, show even if emtpy','unifont',50,0,16,22,1,0);
INSERT INTO lng_stylecode VALUES ('ITALIC_OPT','Italic, don\'t show if emtpy','unifont',50,0,16,22,0,0);

#
# Table structure for table 'lng_tag'
#

CREATE TABLE lng_tag (
  tag varchar(50) DEFAULT '' NOT NULL,
  name varchar(255) DEFAULT '' NOT NULL,
  description text,
  tagtypecode varchar(5) DEFAULT '' NOT NULL,
  text decimal(1,0) DEFAULT '1' NOT NULL,
  stream decimal(1,0) DEFAULT '1' NOT NULL,
  element decimal(1,0) DEFAULT '1' NOT NULL,
  lexeme decimal(1,0) DEFAULT '1' NOT NULL,
  stylecode varchar(50),
  PRIMARY KEY (tag),
  UNIQUE name (name)
);

#
# Dumping data for table 'lng_tag'
#

INSERT INTO lng_tag VALUES ('TAPEP','Tape Position','Start - end in seconds on a recording.','TIME',1,1,1,1,NULL);
INSERT INTO lng_tag VALUES ('GL','Glosse','Glosse (freeform)','GLOSS',0,1,1,1,'PLAIN');
INSERT INTO lng_tag VALUES ('FUNC','Function','Syntactical function','DABBR',0,0,1,0,'PLAIN');
INSERT INTO lng_tag VALUES ('POS','Part of Speech','Part of Speech','DABBR',0,0,1,1,'PLAIN');
INSERT INTO lng_tag VALUES ('PENN','Penn-Treebank','Penn-Treebank part-of-speech tags (according to Jurafsk & Martin 2000.','DABBR',0,0,1,1,'PLAIN');
INSERT INTO lng_tag VALUES ('TR','Translation','Translation','TRNS',0,1,0,0,'ITALIC');
INSERT INTO lng_tag VALUES ('FTR','Full translation','Full translation','TRNS',1,0,0,0,'ITALIC');
INSERT INTO lng_tag VALUES ('TRANS','Transcription','Phonetic transcription','PHON',1,1,1,1,'ITALIC');
INSERT INTO lng_tag VALUES ('REF','Reference','Reference','REF',1,1,1,1,'ITALIC_OPT');
INSERT INTO lng_tag VALUES ('FORM','Form','morphological form','DABBR',0,0,1,1,'ITALIC_OPT');
INSERT INTO lng_tag VALUES ('PHON','Phonetic form',NULL,'PHON',0,1,1,1,'PLAIN_OPT');
INSERT INTO lng_tag VALUES ('NOTE','Note','Note','TEXT',1,1,1,1,'PLAIN_OPT');
INSERT INTO lng_tag VALUES ('ABBR','Abbreviation','Glosse (from an abbreviation)','DABBR',0,1,1,1,'PLAIN');

#
# Table structure for table 'lng_tagdomain'
#

CREATE TABLE lng_tagdomain (
  domainnr int(10) unsigned NOT NULL auto_increment,
  abbreviation varchar(10) DEFAULT '' NOT NULL,
  tag varchar(50) DEFAULT '' NOT NULL,
  description varchar(50),
  PRIMARY KEY (domainnr),
  UNIQUE abbreviation (abbreviation,tag)
);

#
# Dumping data for table 'lng_tagdomain'
#

INSERT INTO lng_tagdomain VALUES (1,'N','POS','Noun');
INSERT INTO lng_tagdomain VALUES (2,'V','POS','Verb');
INSERT INTO lng_tagdomain VALUES (3,'ADJ','POS','Adjective');
INSERT INTO lng_tagdomain VALUES (4,'ADV','POS','Adverb');
INSERT INTO lng_tagdomain VALUES (5,'PRON','POS','Pronoun');
INSERT INTO lng_tagdomain VALUES (6,'ART','POS','Article');
INSERT INTO lng_tagdomain VALUES (7,'PART','POS','Particle');
INSERT INTO lng_tagdomain VALUES (8,'PREPOS','POS','Preposition');
INSERT INTO lng_tagdomain VALUES (9,'POSTPOS','POS','Postposition');
INSERT INTO lng_tagdomain VALUES (10,'CONJ','POS','Conjuction');
INSERT INTO lng_tagdomain VALUES (11,'INTER','POS','Interjection');
INSERT INTO lng_tagdomain VALUES (12,'PROPN','POS','Proper noun');
INSERT INTO lng_tagdomain VALUES (14,'AUX','POS','Auxiliary verb');
INSERT INTO lng_tagdomain VALUES (13,'MASS','POS','Mass noun');
INSERT INTO lng_tagdomain VALUES (15,'DETER','POS','Determiner');
INSERT INTO lng_tagdomain VALUES (16,'NUM','POS','Numeral');
INSERT INTO lng_tagdomain VALUES (17,'COMPL','POS','Complementizer');
INSERT INTO lng_tagdomain VALUES (18,'POSSPRON','POS','Possessive pronoun');
INSERT INTO lng_tagdomain VALUES (19,'QPART','POS','Question particle');
INSERT INTO lng_tagdomain VALUES (20,'SUBOR','POS','Subordinator');
INSERT INTO lng_tagdomain VALUES (21,'vi','POS','Intransitive verb');
INSERT INTO lng_tagdomain VALUES (22,'vt','POS','Transitive verb');
INSERT INTO lng_tagdomain VALUES (23,'vtt','POS','Ditransitive verb');
INSERT INTO lng_tagdomain VALUES (26,'STATV','POS','Stative verb');
INSERT INTO lng_tagdomain VALUES (25,'DEMON','POS','Demonstrative');
INSERT INTO lng_tagdomain VALUES (27,'CC','PENN','Coordinative conjunction');
INSERT INTO lng_tagdomain VALUES (28,'CD','PENN','Cardinal number');
INSERT INTO lng_tagdomain VALUES (29,'DT','PENN','Determiner');
INSERT INTO lng_tagdomain VALUES (30,'EX','PENN','Existential \'there\'');
INSERT INTO lng_tagdomain VALUES (31,'FW','PENN','Foreign word');
INSERT INTO lng_tagdomain VALUES (32,'IN','PENN','Preposition/sub-conj');
INSERT INTO lng_tagdomain VALUES (33,'JJ','PENN','Adjective');
INSERT INTO lng_tagdomain VALUES (34,'JJR','PENN','Adj. comparative');
INSERT INTO lng_tagdomain VALUES (35,'JJS','PENN','Adj. superlative');
INSERT INTO lng_tagdomain VALUES (36,'LS','PENN','List item marker');
INSERT INTO lng_tagdomain VALUES (37,'MD','PENN','Modal');
INSERT INTO lng_tagdomain VALUES (38,'NN','PENN','Noun, sing. or mass');
INSERT INTO lng_tagdomain VALUES (39,'NNS','PENN','Noun, plural');
INSERT INTO lng_tagdomain VALUES (40,'NNP','PENN','Proper noun, singular');
INSERT INTO lng_tagdomain VALUES (41,'NNPS','PENN','Proper noun, plural');
INSERT INTO lng_tagdomain VALUES (42,'PDT','PENN','Predeterminer');
INSERT INTO lng_tagdomain VALUES (43,'POS','PENN','Possessive ending');
INSERT INTO lng_tagdomain VALUES (44,'PP','PENN','Personal pronoun');
INSERT INTO lng_tagdomain VALUES (45,'PPS','PENN','Possessive pronoun');
INSERT INTO lng_tagdomain VALUES (46,'RB','PENN','Adverb');
INSERT INTO lng_tagdomain VALUES (47,'RBR','PENN','Adverb, comparative');
INSERT INTO lng_tagdomain VALUES (48,'RBS','PENN','Adverb, superlative');
INSERT INTO lng_tagdomain VALUES (49,'RP','PENN','Particle');
INSERT INTO lng_tagdomain VALUES (50,'SYM','PENN','Symbol');
INSERT INTO lng_tagdomain VALUES (51,'TO','PENN','\"to\"');
INSERT INTO lng_tagdomain VALUES (52,'UH','PENN','Interjection');
INSERT INTO lng_tagdomain VALUES (53,'VB','PENN','Verb, base form');
INSERT INTO lng_tagdomain VALUES (54,'VBD','PENN','Verb, past tense');
INSERT INTO lng_tagdomain VALUES (55,'VBG','PENN','Verb, gerund');
INSERT INTO lng_tagdomain VALUES (56,'VBN','PENN','Verb, past-participle');
INSERT INTO lng_tagdomain VALUES (57,'VBP','PENN','Verb, non-3sg pres');
INSERT INTO lng_tagdomain VALUES (58,'VBZ','PENN','Verb, 3sg pres');
INSERT INTO lng_tagdomain VALUES (59,'WDT','PENN','Wh-determiner');
INSERT INTO lng_tagdomain VALUES (60,'WP','PENN','Wh-pronoun');
INSERT INTO lng_tagdomain VALUES (61,'WP$','PENN','Possessive wh-');
INSERT INTO lng_tagdomain VALUES (62,'WRB','PENN','Wh-adverb');
INSERT INTO lng_tagdomain VALUES (63,'$','PENN','Dollar sign');
INSERT INTO lng_tagdomain VALUES (64,'#','PENN','Pound sign (₤)');
INSERT INTO lng_tagdomain VALUES (65,'“','PENN','Left quote');
INSERT INTO lng_tagdomain VALUES (66,'”','PENN','Right quote');
INSERT INTO lng_tagdomain VALUES (67,'(','PENN','Left parenthesis');
INSERT INTO lng_tagdomain VALUES (68,')','PENN','Right parenthesis');
INSERT INTO lng_tagdomain VALUES (69,',','PENN','Comma');
INSERT INTO lng_tagdomain VALUES (70,'.','PENN','Sentence-final punc');
INSERT INTO lng_tagdomain VALUES (71,':','PENN','Mid-sentence punc');
INSERT INTO lng_tagdomain VALUES (72,'S','FUNC','Subject');
INSERT INTO lng_tagdomain VALUES (73,'V','FUNC','Verb');
INSERT INTO lng_tagdomain VALUES (74,'O','FUNC','Object');
INSERT INTO lng_tagdomain VALUES (75,'O2','FUNC','Indirect object');
INSERT INTO lng_tagdomain VALUES (76,'TOP','FUNC','Topic');
INSERT INTO lng_tagdomain VALUES (77,'FOCUS','FUNC','Focus');
INSERT INTO lng_tagdomain VALUES (127,'part','ABBR','participle');
INSERT INTO lng_tagdomain VALUES (126,'n-prt','ABBR','non-preterite');
INSERT INTO lng_tagdomain VALUES (125,'fut','ABBR','futurum');
INSERT INTO lng_tagdomain VALUES (124,'np','ABBR','non-plural');
INSERT INTO lng_tagdomain VALUES (123,'ns','ABBR','non-singular');
INSERT INTO lng_tagdomain VALUES (122,'d','ABBR','dual');
INSERT INTO lng_tagdomain VALUES (121,'prt','ABBR','preterite');
INSERT INTO lng_tagdomain VALUES (120,'prs','ABBR','praesens');
INSERT INTO lng_tagdomain VALUES (119,'p','ABBR','plural');
INSERT INTO lng_tagdomain VALUES (118,'s','ABBR','singular');
INSERT INTO lng_tagdomain VALUES (117,'3','ABBR','third person');
INSERT INTO lng_tagdomain VALUES (116,'2','ABBR','second person');
INSERT INTO lng_tagdomain VALUES (115,'1','ABBR','first person');
INSERT INTO lng_tagdomain VALUES (110,'s','FORM','suffix');
INSERT INTO lng_tagdomain VALUES (111,'p','FORM','prefix');
INSERT INTO lng_tagdomain VALUES (112,'i','FORM','infix');
INSERT INTO lng_tagdomain VALUES (113,'∑','FORM','verbal root');
INSERT INTO lng_tagdomain VALUES (114,'√','FORM','Nominal root');

#
# Table structure for table 'lng_tagtypecode'
#

CREATE TABLE lng_tagtypecode (
  tagtypecode varchar(5) DEFAULT '' NOT NULL,
  description varchar(255) DEFAULT '' NOT NULL,
  isdomain decimal(1,0) DEFAULT '0' NOT NULL,
  isvalue decimal(1,0) DEFAULT '1' NOT NULL,
  isnote decimal(1,0) DEFAULT '0' NOT NULL,
  isreference decimal(1,0) DEFAULT '0' NOT NULL,
  PRIMARY KEY (tagtypecode)
);

#
# Dumping data for table 'lng_tagtypecode'
#

INSERT INTO lng_tagtypecode VALUES ('TEXT','Longer free text',0,0,1,0);
INSERT INTO lng_tagtypecode VALUES ('REF','Reference',0,0,0,1);
INSERT INTO lng_tagtypecode VALUES ('GLOSS','Glosse',0,1,0,0);
INSERT INTO lng_tagtypecode VALUES ('DABBR','Domain based abbreviation',1,0,0,0);
INSERT INTO lng_tagtypecode VALUES ('PHON','Phonetic transcription',0,1,0,0);
INSERT INTO lng_tagtypecode VALUES ('TRLIT','Transliteration',0,1,0,0);
INSERT INTO lng_tagtypecode VALUES ('TRNS','Translation',0,0,1,0);
INSERT INTO lng_tagtypecode VALUES ('TIME','Value in seconds',0,1,0,0);

#
# Table structure for table 'lng_text'
#

CREATE TABLE lng_text (
  textnr int(10) unsigned NOT NULL auto_increment,
  recordingnr int(10) unsigned,
  scannr int(10) unsigned,
  description text,
  url varchar(255),
  title varchar(255) DEFAULT '' NOT NULL,
  usernr int(10) unsigned,
  transcription_date date,
  raw_text text DEFAULT '' NOT NULL,
  languagenr int(10) unsigned DEFAULT '0' NOT NULL,
  PRIMARY KEY (textnr)
);

#
# Dumping data for table 'lng_text'
#

INSERT INTO lng_text VALUES (1,1,NULL,'Kèkhu Dialect\n\nTold by Nāʌ at Mē LƷε̄\n\n(First page)',NULL,'Blind Men Steal a Gong',1,'0000-00-00','kúnὲ ma dɤ́ vε̄ pòvὲ\ndɤ́ kulā ʔa sí nìhō kʌ̄ dɤ̄ pe kəjε̄ ʔíbe\nʔa donε̄ dɤ́ a lʌ dɤ́ ƞjáo\nʔū mòphre lʌ bέse khí\ncwá mέ ʔeho kʌ̄ ʔū síjɯ kʌ̄ ʔū mo',1);
INSERT INTO lng_text VALUES (3,NULL,NULL,'This chapter describes the first \nencounter between 孟子 and king\n潓 of 粱, who reigned from 370 to \n319 BC.',NULL,'孟子 1a. 1',NULL,NULL,'孟子 見 粱 潓 王. \n王 曰. \n叟 不 遠 千 里 而 來.\n亦 將 有 以 利 吾 國 乎. ',2);

#
# Table structure for table 'lng_text_tag'
#

CREATE TABLE lng_text_tag (
  text_tagnr int(10) unsigned NOT NULL auto_increment,
  textnr int(10) unsigned DEFAULT '0' NOT NULL,
  tag varchar(50) DEFAULT '' NOT NULL,
  value varchar(200) DEFAULT '' NOT NULL,
  description varchar(200),
  note text,
  usernr int(10) unsigned,
  datestamp timestamp(14),
  PRIMARY KEY (text_tagnr),
  KEY i_txtg_1 (textnr),
  KEY i_txtg_2 (tag)
);

#
# Dumping data for table 'lng_text_tag'
#

INSERT INTO lng_text_tag VALUES (1,1,'REF','1','Eastern Kayah Li, Grammar, Texts, Glossary, 1997, Solnit, David',NULL,1,20010110171028);

#
# Table structure for table 'lng_user'
#

CREATE TABLE lng_user (
  usernr int(10) unsigned NOT NULL auto_increment,
  name varchar(255) DEFAULT '' NOT NULL,
  title varchar(255),
  affiliationcode varchar(5),
  email varchar(255),
  snailmail varchar(255),
  fax varchar(255),
  telephone varchar(255),
  url varchar(255),
  PRIMARY KEY (usernr)
);

#
# Dumping data for table 'lng_user'
#

INSERT INTO lng_user VALUES (1,'Sample user',NULL,NULL,NULL,NULL,NULL,NULL,NULL);

