class dbError(Exception):
  def __init__(self, errorMessage):
    self.errorMessage=errorMessage

  def __repr__(self):
    return self.errorMessage

  def __str__(self):
    return self.errorMessage

class dbRecordNotFoundException(dbError):
  def __init__(self, tableName, queryRec ):
    dbError.__init__(self, "No such record in table %s" % tableName)
    self.queryRec=queryRec 

class dbTooManyRowsException(dbError):
  def __init__(self, tableName, queryRec ):
    dbError.__init__(self, "More than one record in table %s" % tableName)
    self.queryRec=queryRec 
    
class dbRepositoryError(dbError):
  def __init__(self, error, tableName):
    dbError.__init__(self, error % tableName)
    self.tableName=tableName

class dbModuleError(dbError):
  def __init__(self, error):
    dbError.__init__(self, error) 

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.5 $
    Last edited          : $Date: 2001/01/31 20:04:13 $
    
    CVS Log:         
    $Log: dbexceptions.py,v $
    Revision 1.5  2001/01/31 20:04:13  boud
    Added exception handling.

    Revision 1.4  2001/01/30 19:42:54  boud
    dbError now descends from Exception

    Revision 1.3  2001/01/08 20:55:00  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
