import sys

from qt import *

from kuralib.config import Config
from kuralib.lng_lex import *
  
from kuragui.guitabdialog  import guiTabDialog
from kuragui.guilistview   import guiListView
from kuragui.guidetaillist import guiDetailList
from kuragui.constants     import *

from tablextags import tabLexTags
from tablexlex  import tabLexLex

from resource import *

class dlgLexeme(guiTabDialog):

    def __init__(self, app, parent, title, firstTabTitle, 
            record, mode, tableDef, showChildren=FALSE):
      guiTabDialog.__init__(self, app=app, parent=parent, title=title
         , firstTabTitle="&Lexemes", record=record
         , mode=mode, tableDef=tableDef, showChildren=FALSE)

      self.tagstab=tabLexTags(parent, app, record)
      guiTabDialog.addChildTab( self, "&Tags"
                           , self.tagstab, record, DETAIL)


      tabLxLx=tabLexLex(parent, app, record)
      guiTabDialog.addChildTab(self, "&Relations"
                           , tabLxLx, record, DETAIL)
      
    def accept(self):
      try:
        self.tagstab.frmLexTags.save()
      except Exception, e:
        print str(e)
        pass
      guiTabDialog.accept(self)

def main():

  qapp=QApplication(sys.argv)
  toplevel=guiListView( Config.app
                      , tableName="lng_lex"
                      , searchRec=Config.app.createObject('lng_lex',
														  languagenr="10")
                      , dlgForm=dlgLexeme
                      , dlgSearch=None
                      , parent=None
                      )
  toplevel.show()
  qapp.connect(qapp, SIGNAL('lastWindowClosed()'), qapp, SLOT('quit()'))
  qapp.exec_loop()
  
if __name__=="__main__":
  if len(sys.argv)>1:
    if sys.argv[1]=='-p':
      import profile
      profile.run('main()')
  else:
    main()

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.16 $
    Last edited          : $Date: 2001/01/30 20:29:08 $
    
    CVS Log:         
    $Log: dlglexeme.py,v $
    Revision 1.16  2001/01/30 20:29:08  boud
    Typo

    Revision 1.15  2001/01/30 20:27:57  boud
    Unsaved added tags are now saved on OK.

    Revision 1.14  2001/01/30 20:04:42  boud
    Removed print statements.

    Revision 1.13  2001/01/26 20:02:17  boud
    Move to dialog modelessness.

    Revision 1.12  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
