import sys

from qt import *

from kuralib.config import Config

from kuragui.guilistview   import guiListView
from kuragui.guidetaillist import guiDetailList
from kuragui.constants     import *

from frmtagtypecode        import frmtagtypecode
from resource import *

class dlgTagTypeCode(frmtagtypecode):

  def __init__(self, app, parent, title, firstTabTitle, record, mode, tableDef, showChildren=FALSE):
    frmtagtypecode.__init__(self, parent=parent, modal=TRUE)
    self.record=record
    self.mode=mode
    self.txtTypeCode.setText(self.record.tagtypecode)
    self.txtDescription.setText(self.record.description)
    if self.mode==SEARCH:
      self.rdbDomain.setEnabled(FALSE)
      self.rdbValue.setEnabled(FALSE)
      self.rdbNote.setEnabled(FALSE)
      self.rdbReference.setEnabled(FALSE)
    else:
      self.rdbDomain.setChecked(int(self.record.isdomain))
      self.rdbValue.setChecked(int(self.record.isvalue))
      self.rdbNote.setChecked(int(self.record.isnote))
      self.rdbReference.setChecked(int(self.record.isreference))
  
  def apply(self):
    try:
      self.record.tagtypecode=str(self.txtTypeCode.text())
      self.record.description=str(self.txtDescription.text())
      self.record.isdomain=self.rdbDomain.isChecked()
      self.record.isvalue=self.rdbValue.isChecked()
      self.record.isnote=self.rdbNote.isChecked()
      self.record.isreference=self.rdbReference.isChecked()

      if self.mode==INSERT:
        self.record.insert()
      elif self.mode==UPDATE:
        self.record.update()
      elif self.mode==SEARCH:
        self.record.isdomain=None
        self.record.isnote=None
        self.record.isvalue=None
        self.record.isreference=None

      return TRUE
    except:
      return FALSE
    
  def accept(self):
    if self.apply()==TRUE:
      frmtagtypecode.accept(self)
    
  def getMasterRecord(self):
    return self.record    
     
def main():

  try:
    from kuralib import lngapp
  except:
    sys.path.append("..")
    from kuralib import lngapp

  from kuralib.lng_lex import *

  qapp=QApplication(sys.argv)
  app=lngapp.lngApp(host="localhost", user="boud", database="lng")
  toplevel=guiListView( app
                      , tableName="lng_lex"
                      , searchRec=app.createObject('lng_lex', languagenr="10")
                      , dlgForm=dlgTagTypeCode
                      , dlgSearch=None
                      , parent=None
                      )
  toplevel.show()
  qapp.connect(qapp, SIGNAL('lastWindowClosed()'), qapp, SLOT('quit()'))
  qapp.exec_loop()
  
if __name__=="__main__":
  if len(sys.argv)>1:
    if sys.argv[1]=='-p':
      import profile
      profile.run('main()')
  else:
    main()

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.6 $
    Last edited          : $Date: 2001/01/30 20:04:42 $
    
    CVS Log:         
    $Log: dlgtagtypecode.py,v $
    Revision 1.6  2001/01/30 20:04:42  boud
    Removed print statements.

    Revision 1.5  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
