from qt import *

from kuragui.guicombobox      import guiComboBox
from kuragui.guilabel         import guiLabel
from kuragui.guilistbox       import guiListBox
from kuragui.guimultilineedit import guiMultiLineEdit
from kuragui.guilineedit      import guiLineEdit
from kuragui.guidetaillist    import guiDetailList

from kuracmbtags              import kuraCmbTags
from kuracmbtagvalues         import kuraCmbTagValues

from resource                 import TRUE, FALSE
from kuralib.config           import Config

class formTags(QWidget):

  def __init__(self, parent, parentTableName, tagTableName):

    QWidget.__init__(self, parent)

    self.record=None
    self.lvi=None
    
    self.grdTags = QGridLayout(self)
    self.grdTags.setSpacing(6)
    self.grdTags.setMargin(11)

    self.cmbTags = kuraCmbTags(self, parentTableName)
    self.lblTags = guiLabel(self,'lblTags')
    self.lblTags.setText(self.tr('&Tag'))

    self.lblValue = guiLabel(self,'lblValue')
    self.lblValue.setText(self.tr('&Value'))

    self.cmbTagValues = kuraCmbTagValues(self, tagTableName)

    self.lblNote = guiLabel(self,'lblNote')
    self.lblNote.setText(self.tr('&Note'))
    self.lblNote.setAlignment(guiLabel.AlignTop | guiLabel.AlignLeft)

    self.txtNote = guiMultiLineEdit(self,'txtNote')

    self.lblUser = guiLabel(self,'lblUser')
    self.lblUser.setText(self.tr('User'))

    self.txtUser = guiLabel(self,'txtUser')
    self.txtUser.setFrameShadow(guiLabel.Sunken)
    self.txtUser.setFrameShape(guiLabel.Panel)

    self.lblDateStamp = guiLabel(self,'lblDateStamp')
    self.lblDateStamp.setText(self.tr('Last changed'))

    self.txtDatestamp = guiLabel(self,'txtDatestamp')
    self.txtDatestamp.setFrameShape(guiLabel.Panel)
    self.txtDatestamp.setFrameShadow(guiLabel.Sunken)
    
    self.lblTags.setBuddy(self.cmbTags)
    self.lblValue.setBuddy(self.cmbTagValues)
    self.lblNote.setBuddy(self.txtNote)

    self.bnSave=QPushButton("&Add", self)
    #self.bnSave.setFlat(TRUE)
    
    self.grdTags.addWidget(self.lblTags,0,0)
    self.grdTags.addWidget(self.cmbTags,0,1)
    self.grdTags.addWidget(self.lblValue,1,0)
    self.grdTags.addWidget(self.cmbTagValues,1,1)
    self.grdTags.addWidget(self.lblNote,2,0)
    self.grdTags.addWidget(self.txtNote,2,1)
    self.grdTags.addWidget(self.lblUser,3,0)
    self.grdTags.addWidget(self.txtUser,3,1)
    self.grdTags.addWidget(self.lblDateStamp,4,0)
    self.grdTags.addWidget(self.txtDatestamp,4,1)
    self.grdTags.addWidget(self.bnSave, 0, 2)
    
    self.connect(self.cmbTags, PYSIGNAL("recSelected"),self.cmbTagValues.slotRefresh)
    self.connect(self.bnSave, SIGNAL("clicked()"), self.save)
    
  def setItem(self, record, lvi=None):
    self.setEnabled(TRUE)
    self.record=record
    self.lvi=lvi
    self.cmbTags.setCurrentItem(record.tag)
    self.cmbTagValues.slotRefresh(record.tag)
    self.cmbTagValues.slotSetCurrentItem(record.value)
    self.txtNote.setText(record.note)
    self.txtUser.setText(record.user)
    self.txtDatestamp.setText(record.datestamp)

  def changeItem(self, record, lvi):
    self.clear()
    self.setItem(record, lvi)
    
  def clear(self):
    self.setEnabled(FALSE)  
    self.record=None
    self.lvi=None
    self.cmbTags.refresh()
    self.cmbTagValues.clear()
    self.txtNote.setText(QString())
    self.txtUser.setText(QString())
    self.txtDatestamp.setText(QString())
  

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.3 $
    Last edited          : $Date: 2001/01/24 19:15:31 $
    
    CVS Log:         
    $Log: formtags.py,v $
    Revision 1.3  2001/01/24 19:15:31  boud
    UI changes.

    Revision 1.2  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
