from qt import *
from dbobj.dbexceptions       import *

from kuragui.guidetaillist    import guiDetailList

from formtags                 import formTags
from kuracmbtags              import kuraCmbTags
from kuracmbtagvalues         import kuraCmbTagValues

from resource                 import TRUE, FALSE
from kuralib.config           import Config

class formLexTags(formTags):

  def newItem(self, parentRecord): 
    self.clear()
    self.setEnabled(TRUE)
    record=Config.app.createDefaultObject("lng_lex_tag"
       , lexnr=parentRecord.lexnr, lexeme=parentRecord.form   
       )
    self.setItem(record)
    
  def save(self):
    if self.record!=None:
      self.record.tag=self.cmbTags.currentKey()
      self.record.tagname=str(self.cmbTags.currentText())

      if self.cmbTagValues.isEnabled()==TRUE:
        self.record.value=self.cmbTagValues.currentKey()
        self.record.description=str(self.cmbTagValues.currentText())
      else:
        self.record.description=str(self.txtNote.text())[:200]
      self.record.note=self.txtNote.text()
     
      if self.lvi==None:
        try:
          self.record.insert()
          self.record=Config.app.getObject("lng_lex_tag", lex_tagnr=self.record.lex_tagnr)
          self.emit(PYSIGNAL("sigRecordInserted"),(self.record,))
        except dbError, dberr:
          QMessageBox.information(self, "Kura Error while inserting", dberr.errorMessage)

      else:
        try:
          self.record.update()
          self.emit(PYSIGNAL("sigRecordUpdated"),(self.record,self.lvi))
        except dbError, dberr:
          QMessageBox.information(self, "Kura Error while updating", dberr.errorMessage)

class tabLexTags(QWidget):

  def __init__(self, parent, app, parentRecord, *args):
    QWidget.__init__(self, parent)
    self.grid = QGridLayout(self)
    self.grid.setSpacing(6)
    self.grid.setMargin(11)
    
    self.dlsTags=guiDetailList(self, app, parentRecord, "lng_lex_tag")
    self.frmLexTags=formLexTags(self, "lng_lex", "lng_lex_tag")
    
    self.grid.addWidget(self.dlsTags, 0, 0)
    self.grid.addWidget(self.frmLexTags, 1, 0)

    self.connect(self.dlsTags, PYSIGNAL("sigRecordSelected"), self.frmLexTags.changeItem)
    self.connect(self.dlsTags, PYSIGNAL("sigItemDeleted"),    self.frmLexTags.clear)
    self.connect(self.dlsTags, PYSIGNAL("sigCreateNewItem"),  self.frmLexTags.newItem)
    self.connect(self.frmLexTags, PYSIGNAL("sigRecordUpdated"),  self.dlsTags.slotUpdateItem)
    self.connect(self.frmLexTags, PYSIGNAL("sigRecordInserted"), self.dlsTags.slotAddItem)    
    self.frmLexTags.clear()

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.6 $
    Last edited          : $Date: 2001/01/30 20:04:42 $
    
    CVS Log:         
    $Log: tablextags.py,v $
    Revision 1.6  2001/01/30 20:04:42  boud
    Removed print statements.

    Revision 1.5  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
