import sys, string
from qt import *
from kuradom import KuraDOM

import sys
from qt import *
from kuralib.config import Config
from kuradom import KuraDOM
from kuradbreader import KuraDBReader

def nvl(item):
  if item==None:
    return "#"
  else:
    return item

class KuraILWriter(QObject):
  """
  Writes an interlinear utf-8 version of a certain
  text to standard output. Usable for inclusion in
  documents, mail or usenet news.
  """

  def __init__(self, dom, *args):
    apply(QObject.__init__,(self,)+args)

    self.dom=dom

    self.connect(self.dom, PYSIGNAL("sigTextLine"), self.simpleLine)
    self.connect(self.dom, PYSIGNAL("sigStreamLine"), self.simpleLine)
    self.connect(self.dom, PYSIGNAL("sigLineSet"), self.complexLine)
    self.connect(self.dom, PYSIGNAL("sigTextTag"), self.simpleTag)
    self.connect(self.dom, PYSIGNAL("sigStreamTag"), self.simpleTag)

    self.tagDefinitions={}
    self.styles={}
    for style in Config.app.getObjects("lng_stylecode"):
      self.styles[style.stylecode]=style
    self.defaultStyle=Config.app.createDefaultObject("lng_stylecode")

    self.maxwidth=80

  def _cache(self, cache, key, tableName, **args):
    if cache.has_key(key):
      return cache[key]
    else:
      rec=Config.app.getObject(tableName, fields=args)
      cache[key]=rec
      return rec

  def _getTagStyle(self, tagRecord):
    if tagRecord==None:
      print "Empty tagRecord"
      return self.defaultStyle
    else:
      tagDefinition=self._cache( self.tagDefinitions
                               , tagRecord.tag
                               , "lng_tag"
                               , tag=tagRecord.tag)
      style=self.styles.get( tagDefinition.stylecode
                           , self.defaultStyle)
      return style

  def simpleLine(self, field, record):
    print record.getFieldValue(field)
    print

  def simpleTag(self, field, recs):
    for record in recs:
      style=self._getTagStyle(record)
      print record.getDescription(style.showifnull)
      print

  def complexLine(self, lineset):
    """FIXME: should wrap at self.maxwidth
    """    
    index, lines=lineset.getTextLines()
    for key in index:
      l=lines[key]
      print l
    print
      
  def start(self, maxwidth=80):
    self.maxwidth=maxwidth
    self.dom.walkText()
        
def main(args):
  dbr=KuraDBReader()
  for arg in args:
    dbr.start(arg)
  xmlsaver=KuraILWriter(dbr.getDom())
  xmlsaver.start()
  
if __name__=="__main__":
  main(sys.argv[1:])
