#!/usr/bin/env python

#
# Checkbox control where J/N is converted to TRUE/FALSE
#

from qt import *
from constants import *
from guiconfig import guiConfig

class guiCheckBox(QCheckBox):

  def __init__(self, parent, label, *args):
    apply(QCheckBox.__init__,(self, parent, )+args)
    self.setText(label)
    self.setMaximumHeight(self.sizeHint().height())

  def setChecked(self, value):
    if value=='J' or value =='j' or value=="1" or value==1:
      QCheckBox.setChecked(self, TRUE)
    elif value is None and self.isTristate()==TRUE:
      QCheckBox.setNoChange(self)
    else:
      QCheckBox.setChecked(self, FALSE)

  def isChecked(self):
    state=QCheckBox.state(self)
    if state==0:
      return FALSE
    elif state==1:
      return None
    elif state==2:
      return TRUE

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.6 $
    Last edited          : $Date: 2001/01/08 20:55:06 $
    
    CVS Log:         
    $Log: guicheckbox.py,v $
    Revision 1.6  2001/01/08 20:55:06  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
