import sys
sys.setappdefaultencoding("utf-8")

import lngapp
import os, os.path
from qt import QFont
TRUE=1
FALSE=0

class Config:  pass


def setDefaults():
  Config.dbuser=None
  Config.database=None
  Config.host=None
  Config.password=None

  Config.usernr=None
  Config.languagenr=None
  Config.projectnr=None

  Config.app=None

  Config.useDefaultForSearch=FALSE
  Config.ShowValueHint=FALSE
  
  Config.app_x=0
  Config.app_y=0
  Config.app_w=640
  Config.app_h=420
  
  Config.currentTableName="lng_lex"
  
  Config.currentStyle="Platinum"
  #
  # Text presentation is configured _per_ user, to ensure
  # a consistent presention for him/her - not per project.
  # Every user can have his own viewing preferences.
  # Perhaps these preferences should be stored in cookies for
  # web-users. Or a login and per-user storage in a table.
  #
  Config.InterLinearTextPresentation="text.title text.description stream.stream text_tag.NOTE"
  Config.InterlinearStreamPresentation="element.element stream_tag.TR stream_tag.NOTE"
  Config.InterLinearElementPresentation="element.text element_tag.GL element_tag.FUNC element_tag.GL"
  Config.textSortCriterion="filter"
  Config.MorphemeSeparator="dash"
  
  Config.fontfamily="fixed"
  Config.pointSize=12
  Config.weight=50
  Config.italic=0
  Config.encoding=22

  Config.streamRegExp=r"\. |\.\n|[!?\12]"
  Config.elementRegExp=r"--|[ ,:;]"
  Config.morphemeRegExp=r"[.]"

def readConfig():
  sys.stderr.write( "Initializing configuration\n")
  try:
    for line in open(os.path.join(os.environ["HOME"],".kurarc")).readlines():
      k, v=tuple(line.split("="))
      v=v[:-1]
      if v=="None\n":
        v=None
      else:
        try:
          v=int(v)
        except ValueError:
          pass
      setattr(Config, k, v)

  except IOError:
    sys.stderr.write( "Creating first time configuration\n")
    
def initApp():
  sys.stderr.write( "Initializing repository\n")
  if (   Config.dbuser is None
      or Config.database is None
      or Config.password is None
      or Config.host is None
      ):
    sys.stderr.write( "No connection yet\n")
    Config.app=None
  else:
    Config.app=lngapp.lngApp(user=Config.dbuser
                            ,database=Config.database
                            ,host=Config.host
                            ,password=Config.password
                            )

def initCurrentEnvironment():
  Config.app.settings( usernr=Config.usernr
                     , languagenr=Config.languagenr
                     , projectnr=Config.projectnr
                     )


def saveConfig():
  sys.stderr.write( "Saving configuration\n")
  configFile=open(os.path.join(os.environ["HOME"],".kurarc"),"w+")
  for key in dir(Config):
    if key[:2]!='__':
      val=getattr(Config, key)
      if val==None or val=="None":
        line=str(key) + "=\n"
      else:
        line=str(key) + "=" + str(getattr(Config, key)) + "\n"
      configFile.write(line)


sys.stderr.write( "Reading Configuration\n" )
setDefaults()
readConfig()
Config.font=QFont(Config.fontfamily, Config.pointSize, Config.weight, Config.italic, Config.encoding )
initApp()
if Config.app!=None:
  initCurrentEnvironment()

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.16 $
    Last edited          : $Date: 2001/01/30 20:04:45 $
    
    CVS Log:         
    $Log: config.py,v $
    Revision 1.16  2001/01/30 20:04:45  boud
    Removed print statements.

    Revision 1.15  2001/01/26 20:03:11  boud
    ....

    Revision 1.14  2001/01/15 20:21:15  boud
    Added import/export filters, bugfixes.

    Revision 1.13  2001/01/08 20:55:07  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
