from dbobj.dbobj import dbRecord, dbTable
from dbobj.dbexceptions import dbRecordNotFoundException
from dbobj.dbtypes import *

from config import Config

from string import lstrip, rstrip
import re

from lng_elmt import lng_element, lng_elements
from lng_sttg import lng_stream_tag

class lng_stream(dbRecord):

  def __init__(self, app, **args):
    if args.has_key("fields"):
      dbRecord.__init__(self, app, "lng_stream", args["fields"])
    else:
      dbRecord.__init__(self, app, "lng_stream", args)
    self.tags=[]
    self.elements=[]

   
  def translation(self):
    if self.tags==None:
      self.getTags()
    for tag in self.tags:
      if tag.tag=="TR" or tag.tag=="TRS" or tag.tag=="TRANS":
        return tag.getDescription()
    return "-"
    
  def getTag(self, tag):
    try:
      tagRecord=self.app.getObject("lng_stream_tag", streamnr=self.streamnr, tag=tag)
    except dbRecordNotFoundException, error:
      tagRecord=error.queryRec
    return tagRecord
    
  def getTags(self):
    self.tags=self.getChildren("lng_stream_tag")
    return self.tags
    
  def getElements(self):
    if self.streamnr <> None:
      return self.getChildren("lng_element")

  def strmHTML(self, out, intext=FALSE):
    out("<table border=0>\n<tr>")
    if intext==FALSE:
      out("""<td valign="top" rowspan="99">
  <a href="KURA?command=record?table=lng_text?textnr=%s">
    <img src="graphics/text_mini.png" border="0" width="16" height="16" alt="text">
  </a> 
</td>""" % self.textnr)
    else:
      out("""<td valign="top" rowspan="99">
  <a href="KURA?command=record?table=lng_stream?streamnr=%s">
    <img src="graphics/text_mini.png" border="0" width="16" height="16" alt="stream">
  </a>
</td>""" % self.streamnr)

    w=0
    for e in self.getElements():
      ehtml, ew=e.elmtHTML()
      out(ehtml)
      w=w+ew
      if w > 80:
        w=0
        out("</tr><tr>")
    out(u'</tr>\n<tr><td colspan="99"><em>%s</em></td></tr>\n</table>' % self.translation())

class lng_streams(dbTable):
  """
    Collection class for all stream data.
  """
  def __init__(self, app):
    dbTable.__init__(self, app, table="lng_stream", recObj=lng_stream)

  def insert(self, textnr, languagenr=None, streamTexts=[]):
    seqnr=0
    if languagenr==None:
      languagenr=Config.languagenr
      
    for streamText in streamTexts:
      if streamText <> "":
        stream=lng_stream( self.app
                         , textnr=textnr
                         , languagenr=languagenr
                         , seqnr=seqnr
                         , text=rstrip(lstrip(streamText))
                         , usernr=Config.usernr
                         )
        stream.insert(checkIntegrity=FALSE)
        stream.splitText()
        seqnr=seqnr + 1

  def listHTML(self, out, keys={}):
    queryRec=lng_stream(self.app, fields=keys)
    self.select(queryRec)
    for row in self.rows:
      row.strmHTML(out)

def main():
  from lngapp import *
  from lng_text import *
  
  app=lngApp( host="essle"
            , user="boud"
            , database="lng"
            )
  txt=lng_text(app=app, textnr=11)
  txts=lng_texts(app=app)
  txts.select(txt)
  for row in txts:
    strms=lng_streams(app=app)
    strms.select(lng_stream(app=app, textnr=row.textnr))
    for strm in strms:
      print strm.strmHTML()
 
if __name__ == "__main__":
  main()

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.9 $
    Last edited          : $Date: 2001/01/15 20:21:15 $
    
    CVS Log:         
    $Log: lng_strm.py,v $
    Revision 1.9  2001/01/15 20:21:15  boud
    Added import/export filters, bugfixes.

    Revision 1.8  2001/01/08 20:55:07  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
